* {
	@include box-sizing(border-box);
}
*:before,
*:after {
	@include box-sizing(border-box);
}


html,
body {
	min-height: 100%;
}

body {
	color: $base;
	font-family: $font-family-base;
	background-color: #fff;
	font-size: $font-size-base;
	line-height: $line-height-base;
}

.container {
	margin-right: auto;
	margin-left: auto;
	padding-left:  ($gutter);
	padding-right: ($gutter);
	@include clearfix;

	@media (min-width: $screen-sm-min) {
		width: $container-sm;
	}

	@media (min-width: $screen-md-min) {
		width: $container-md;
	}

	@media (min-width: $screen-lg-min) {
		width: $container-lg;
	}

	@media (min-width: $screen-xl-min) {
		width: $container-xl;
	}
}


.root {
	width: 100%;
	min-height: 100vh;
	max-width: 100%;
	overflow: hidden;
	display: flex;
	flex-direction: column;

	&__main {
		flex-grow: 1;
	}
}



// Headings
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	margin: 0;
	padding: 0;
	font-weight: 700;
	line-height: 1.2;
}

h1, .h1 {
	font-size: 3.2rem;
	font-family: $font-family-head;
}

h2, .h2 {
	font-size: 	3rem;
	font-family: $font-family-head;
}

h3, .h3 {
	font-size: 2.4rem;
	font-family: $font-family-head;
}

h4, .h4 {
	font-size: 2rem;
	font-family: $font-family-head;
}

h5, .h5 {
	font-size: 1.6rem;
	font-family: $font-family-head;
}

h6, .h6 {
	font-size: 1.4rem;
	font-family: $font-family-head;
}

p {
	margin: 0 0 20px 0;
}
